Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.servlet
Class HashSessionManager.Session

    java.lang.Object
      org.mortbay.jetty.servlet.AbstractSessionManager.Session
          org.mortbay.jetty.servlet.HashSessionManager.Session

All Implemented Interfaces:
  Serializable, HttpSession, AbstractSessionManager.SessionIf

Enclosing class:
  HashSessionManager

    protected class HashSessionManager.Session

extends AbstractSessionManager.Session

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mortbay.jetty.servlet.AbstractSessionManager.Session
`_accessed, _clusterId, _cookieSet, _created, _doInvalidate, _idChanged, _invalid, _lastAccessed, _maxIdleMs, _newSession, _nodeId, _requests, _values`

Constructor Summary
`protected` | `HashSessionManager.Session(HttpServletRequest request)`

Method Summary
`protected Map` | `newAttributeMap()`
`void` | `setMaxInactiveInterval(int secs)` Specifies the time, in seconds, between client requests before the servlet container will invalidate this session.

Methods inherited from class org.mortbay.jetty.servlet.AbstractSessionManager.Session
`access, bindValue, complete, cookieSet, didActivate, doInvalidate, getAttribute, getAttributeNames, getClusterId, getCookieSetTime, getCreationTime, getId, getLastAccessedTime, getMaxInactiveInterval, getNodeId, getServletContext, getSession, getSessionContext, getValue, getValueNames, initValues, invalidate, isIdChanged, isNew, isValid, putValue, removeAttribute, removeValue, setAttribute, setIdChanged, timeout, toString, unbindValue, willPassivate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HashSessionManager.Session

    protected HashSessionManager.Session(HttpServletRequest request)

Method Detail

### setMaxInactiveInterval

    public void setMaxInactiveInterval(int secs)

  Description copied from interface: `HttpSession`
  Specifies the time, in seconds, between client requests before the servlet container will invalidate this session. A negative time indicates the session should never timeout.

  Specified by:
    `setMaxInactiveInterval` in interface `HttpSession`
  Overrides:
    `setMaxInactiveInterval` in class `AbstractSessionManager.Session`
  Parameters:
    `secs` - An integer specifying the number of seconds

### newAttributeMap

    protected Map newAttributeMap()

  Specified by:
    `newAttributeMap` in class `AbstractSessionManager.Session`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.